### org.jfree.layouting.renderer.process

# Class InfiniteMajorAxisLayoutStep

- `java.lang.Object`
- - `org.jfree.layouting.renderer.process.IterateVisualProcessStep`
  - - `org.jfree.layouting.renderer.process.InfiniteMajorAxisLayoutStep`

`public class InfiniteMajorAxisLayoutStep`
`extends IterateVisualProcessStep`

This process-step computes the vertical alignment and corrects the y-positions whereever needed.

This will only work, if the minor-axis step has been executed. Executing this class eats 23% of the current layouting time.

Author:
  Thomas Morgner

  ## Nested Class Summary

  `static class`

  `InfiniteMajorAxisLayoutStep.ParagraphBreakState`

  ## Constructor Summary

  `InfiniteMajorAxisLayoutStep()`

  ## Method Summary

  `void`

  `compute(LogicalPageBox pageBox)`

  `void`

  `continueComputation(RenderBox box)`
    Continues processing.

  `protected void`

  `finishBlockLevelBox(RenderBox box)`

  `protected void`

  `finishInlineLevelBox(RenderBox box)`

  `protected void`

  `finishLine(ParagraphPoolBox inlineRenderBox)`

  `protected void`

  `finishOtherBox(RenderBox box)`

  `protected void`

  `processBlockLevelNode(RenderNode node)`

  `protected void`

  `processInlineLevelNode(RenderNode node)`

  `protected void`

  `processParagraphChilds(ParagraphRenderBox box)`

  `protected boolean`

  `startBlockLevelBox(RenderBox box)`

  `protected boolean`

  `startInlineLevelBox(RenderBox box)`

  `protected void`

  `startLine(ParagraphPoolBox box)`

  ### Methods inherited from class org.jfree.layouting.renderer.process.IterateVisualProcessStep

  `finishBlockLevelBox`, `finishInlineLevelBox`, `processBlockLevelChild`, `processBlockLevelNode`, `processBoxChilds`, `processFlow`, `processInlineLevelChild`, `processInlineLevelNode`, `processOtherLevelChild`, `processParagraphChilds`, `startBlockLevelBox`, `startInlineLevelBox`, `startProcessing`

## Constructor Details

### InfiniteMajorAxisLayoutStep

    public InfiniteMajorAxisLayoutStep()

## Method Details

### compute

    public void compute(LogicalPageBox pageBox)

### continueComputation

    public void continueComputation(RenderBox box)

> Continues processing. The renderbox must have a valid x-layout (that is: X, content-X1, content-X2 and Width)
> Parameters:
>   `box` -

### finishBlockLevelBox

    protected void finishBlockLevelBox(RenderBox box)

> Overrides:
>   finishBlockLevelBox in interface IterateVisualProcessStep

### finishInlineLevelBox

    protected void finishInlineLevelBox(RenderBox box)

> Overrides:
>   finishInlineLevelBox in interface IterateVisualProcessStep

### finishLine

    protected void finishLine(ParagraphPoolBox inlineRenderBox)

### finishOtherBox

    protected void finishOtherBox(RenderBox box)

### processBlockLevelNode

    protected void processBlockLevelNode(RenderNode node)

> Overrides:
>   processBlockLevelNode in interface IterateVisualProcessStep

### processInlineLevelNode

    protected void processInlineLevelNode(RenderNode node)

> Overrides:
>   processInlineLevelNode in interface IterateVisualProcessStep

### processParagraphChilds

    protected void processParagraphChilds(ParagraphRenderBox box)

> Overrides:
>   processParagraphChilds in interface IterateVisualProcessStep

### startBlockLevelBox

    protected boolean startBlockLevelBox(RenderBox box)

> Overrides:
>   startBlockLevelBox in interface IterateVisualProcessStep

### startInlineLevelBox

    protected boolean startInlineLevelBox(RenderBox box)

> Overrides:
>   startInlineLevelBox in interface IterateVisualProcessStep

### startLine

    protected void startLine(ParagraphPoolBox box)